//
//  CDTransmitImporter.h
//  Tester
//
//  Created by alto on 9/7/10.
//  Copyright 2010 FuelCollective. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CDTransmitImporter : NSObject {

}

+(NSArray*)favoritesFromPreferences; //Returns an array of CDTransmitImportFavorite objects

@end


//The favortite class
@interface CDTransmitImportFavorite : NSObject {
	NSString *nickname; //Favorite's name
	
	NSString *username; //Username
	BOOL passwordInKeychain; //Indicates that the password is stored in keychain
	NSString *password; //Password might be stored here - however, it was always nil in all my examples
	
	NSString *protocol; //Protocol to be used - FTP, SFTP, S3, FTPSSL (FTP with implicit SSL), FTPTLS (FTP with TLS/SSL), WebDAV, WebDAVS
	NSString *server; //Server URL
	int port; //Port to be used - WARNING!!! - when default, is 0
	
	NSString *initialPath; //Initial path for the server
	
	
}

@property (readonly) NSString *nickname, *username, *password, *protocol, *server, *initialPath;
@property (readonly) int port;
@property (readonly) BOOL passwordInKeychain;

@end

